org.encog.neural.hyperneat

## Class HyperNEATGenome

- java.lang.Object
- - org.encog.ml.ea.genome.BasicGenome
  - - org.encog.neural.neat.training.NEATGenome
    - - org.encog.neural.hyperneat.HyperNEATGenome

- All Implemented Interfaces:
    Serializable, Cloneable, Genome, MLMethod

      public class HyperNEATGenome
      extends NEATGenome

  A HyperNEAT genome.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyperNEATGenome()` Construct a HyperNEAT genome.
    `HyperNEATGenome(HyperNEATGenome other)`
    `HyperNEATGenome(List<NEATNeuronGene> neurons, List<NEATLinkGene> links, int inputCount, int outputCount)` Construct a HyperNEAT genome from a list of neurons and links.
    `HyperNEATGenome(Random rnd, NEATPopulation pop, int inputCount, int outputCount, double connectionDensity)` Construct a random HyperNEAT genome.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `buildCPPNActivationFunctions(ChooseObject<ActivationFunction> activationFunctions)` Build the CPPN activation functions.

    - ### Methods inherited from class org.encog.neural.neat.training.NEATGenome

      `copy, findNeuron, getInputCount, getLinksChromosome, getNetworkDepth, getNeuronsChromosome, getNumGenes, getOutputCount, setInputCount, setNetworkDepth, setOutputCount, size, sortGenes, toString, validate`

    - ### Methods inherited from class org.encog.ml.ea.genome.BasicGenome

      `getAdjustedScore, getBirthGeneration, getPopulation, getScore, getSpecies, setAdjustedScore, setBirthGeneration, setPopulation, setScore, setSpecies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HyperNEATGenome

          public HyperNEATGenome()

      Construct a HyperNEAT genome.

    - #### HyperNEATGenome

          public HyperNEATGenome(HyperNEATGenome other)

    - #### HyperNEATGenome

          public HyperNEATGenome(List<NEATNeuronGene> neurons,
                         List<NEATLinkGene> links,
                         int inputCount,
                         int outputCount)

      Construct a HyperNEAT genome from a list of neurons and links.
      Parameters:
        `neurons` - The neurons.
        `links` - The links.
        `inputCount` - The input count.
        `outputCount` - The output count.

    - #### HyperNEATGenome

          public HyperNEATGenome(Random rnd,
                         NEATPopulation pop,
                         int inputCount,
                         int outputCount,
                         double connectionDensity)

      Construct a random HyperNEAT genome.
      Parameters:
        `rnd` - Random number generator.
        `pop` - The target population.
        `inputCount` - The input count.
        `outputCount` - The output count.
        `connectionDensity` - The connection densitoy, 1.0 for fully connected.

  - ### Method Detail

    - #### buildCPPNActivationFunctions

          public static void buildCPPNActivationFunctions(ChooseObject<ActivationFunction> activationFunctions)

      Build the CPPN activation functions.
      Parameters:
        `activationFunctions` - The activation functions collection to add to.

Copyright © 2014. All Rights Reserved.